Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 76129 - [55cat] Dbl-Click on db conn should open connect dialog if disconnected
[55cat] Dbl-Click on db conn should open connect dialog if disconnected
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
5.x
PC Windows XP
: P3 (vote)
: 7.3
Assigned To: Jaroslav Havlin
issues@db
: NETFIX
Depends on:
Blocks: 152816
  Show dependency treegraph
 
Reported: 2006-05-09 20:56 UTC by giorgio42
Modified: 2012-10-13 02:10 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed patch v1 (1.95 KB, patch)
2012-10-07 12:38 UTC, matthias42
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description giorgio42 2006-05-09 20:56:59 UTC
[ BUILD # : 200605090500 ]
[ JDK VERSION : 1.6 ]


This is would be "good style" (implementing a default action), and the user (in this case, me :-)), would not have to display the context menu first, to connect to the database.

Cheers,
Georg
Comment 1 Jiri Rechtacek 2009-10-16 14:11:54 UTC
Reassigned to new owner.
Comment 2 matthias42 2012-10-07 12:38:15 UTC
Created attachment 125527 [details]
proposed patch v1

The attached patch returns the connect action as the preferred action of a connection node if the connection state is disconnected. If the node represents a connected node, the default (null) is returned.
Comment 3 Jaroslav Havlin 2012-10-12 15:16:10 UTC
Integrated as http://hg.netbeans.org/core-main/rev/6f9d6f79d63d

Thank you, Matthias!
Comment 4 Quality Engineering 2012-10-13 02:10:56 UTC
Integrated into 'main-golden', will be available in build *201210130002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6f9d6f79d63d
User: Jaroslav Havlin <jhavlin@netbeans.org>
Log: #76129: Dbl-Click on db conn should open connect dialog if disconnected


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo